;===================================================================;
;                                                                   ;
; Hangman                                                           ;
; Variables                                                         ;
;                                                                   ;
;===================================================================;

;==============================================================================
; Name                                   Location       Size    Description
;==============================================================================
systemBackup                            = vars+000      ; 256   To backup system pointers on TI-83(+), normally located after gbuf
stringBuffer                            = vars+256      ; 6     String buffer
lettersUsed                             = vars+262      ; 26    Flags for letters that have been tried for a question
charsLeft                               = vars+288      ; 1     Number of characters still unrevealed in the question
charsWrong                              = vars+289      ; 1     Number of wrong characters selected
charsRevealed                           = vars+290      ; 1     Number of characters revealed when a letter is chosen
vatPtr                                  = vars+291      ; 2     Spot to save location in the VAT that we're up to
numLibs                                 = vars+293      ; 1     Number of libraries found in VAT
numCategories                           = vars+294      ; 1     Number of categories in current library
numQuestions                            = vars+295      ; 1     Number of questions in current library
hiScore                                 = vars+296      ; 2     HiScore for current 
libNamePtr                              = vars+298      ; 2     Pointer to library name
dataPtr                                 = vars+300      ; 2     Pointer to start of compressed question data
question                                = vars+302      ; 57    Current question data (one byte is category number, then 56 bytes characters)
score                                   = vars+359      ; 2     Current score
level                                   = vars+361      ; 1     Current level

.end
